<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: /home/dan/work/DUNE/dune-wib.firmware/trunk/cores/Flash_Controller/Flash_Controller_bb.v Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_51d9c9f08f6806a0f97badf342e5b4d7.html">cores</a></li><li class="navelem"><a class="el" href="dir_022675ae32c1827de27aa031ade38ec5.html">Flash_Controller</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Flash_Controller_bb.v</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00002"></a><span class="lineno"><a class="code" href="enumFlash__Controller.html">    2</a></span>&#160;<span class="vhdlkeyword">module</span> <a class="code" href="enumFlash__Controller.html">Flash_Controller</a> (</div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;    <span class="vhdlchar">addr</span>,</div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;    <span class="vhdlchar">asmi_dataoe</span>,</div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;    <span class="vhdlchar">asmi_dataout</span>,</div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;    <span class="vhdlchar">asmi_dclk</span>,</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;    <span class="vhdlchar">asmi_scein</span>,</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;    <span class="vhdlchar">asmi_sdoin</span>,</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;    <span class="vhdlchar">bulk_erase</span>,</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;    <span class="vhdlchar">busy</span>,</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;    <span class="vhdlchar">clkin</span>,</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;    <span class="vhdlchar">data_valid</span>,</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;    <span class="vhdlchar">datain</span>,</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;    <span class="vhdlchar">dataout</span>,</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;    <span class="vhdlchar">fast_read</span>,</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;    <span class="vhdlchar">illegal_erase</span>,</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    <span class="vhdlchar">illegal_write</span>,</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    <span class="vhdlchar">rden</span>,</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    <span class="vhdlchar">read_address</span>,</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    <span class="vhdlchar">read_status</span>,</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    <span class="vhdlchar">reset</span>,</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <span class="vhdlchar">shift_bytes</span>,</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <span class="vhdlchar">status_out</span>,</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    <span class="vhdlchar">wren</span>,</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    <span class="vhdlchar">write</span>); </div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    <span class="vhdlkeyword">input</span>   [<span class="vhdllogic">23</span>:<span class="vhdllogic">0</span>]  <span class="vhdlchar">addr</span>;</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    <span class="vhdlkeyword">output</span>  [<span class="vhdllogic">3</span>:<span class="vhdllogic">0</span>]   <span class="vhdlchar">asmi_dataoe</span>;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    <span class="vhdlkeyword">input</span>   [<span class="vhdllogic">3</span>:<span class="vhdllogic">0</span>]   <span class="vhdlchar">asmi_dataout</span>;</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    <span class="vhdlkeyword">output</span>      <span class="vhdlchar">asmi_dclk</span>;</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    <span class="vhdlkeyword">output</span>      <span class="vhdlchar">asmi_scein</span>;</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    <span class="vhdlkeyword">output</span>  [<span class="vhdllogic">3</span>:<span class="vhdllogic">0</span>]   <span class="vhdlchar">asmi_sdoin</span>;</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    <span class="vhdlkeyword">input</span>       <span class="vhdlchar">bulk_erase</span>;</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <span class="vhdlkeyword">output</span>      <span class="vhdlchar">busy</span>;</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    <span class="vhdlkeyword">input</span>       <span class="vhdlchar">clkin</span>;</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <span class="vhdlkeyword">output</span>      <span class="vhdlchar">data_valid</span>;</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <span class="vhdlkeyword">input</span>   [<span class="vhdllogic">7</span>:<span class="vhdllogic">0</span>]   <span class="vhdlchar">datain</span>;</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <span class="vhdlkeyword">output</span>  [<span class="vhdllogic">7</span>:<span class="vhdllogic">0</span>]   <span class="vhdlchar">dataout</span>;</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <span class="vhdlkeyword">input</span>       <span class="vhdlchar">fast_read</span>;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <span class="vhdlkeyword">output</span>      <span class="vhdlchar">illegal_erase</span>;</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    <span class="vhdlkeyword">output</span>      <span class="vhdlchar">illegal_write</span>;</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <span class="vhdlkeyword">input</span>       <span class="vhdlchar">rden</span>;</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <span class="vhdlkeyword">output</span>  [<span class="vhdllogic">23</span>:<span class="vhdllogic">0</span>]  <span class="vhdlchar">read_address</span>;</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    <span class="vhdlkeyword">input</span>       <span class="vhdlchar">read_status</span>;</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <span class="vhdlkeyword">input</span>       <span class="vhdlchar">reset</span>;</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    <span class="vhdlkeyword">input</span>       <span class="vhdlchar">shift_bytes</span>;</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <span class="vhdlkeyword">output</span>  [<span class="vhdllogic">7</span>:<span class="vhdllogic">0</span>]   <span class="vhdlchar">status_out</span>;</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    <span class="vhdlkeyword">input</span>       <span class="vhdlchar">wren</span>;</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    <span class="vhdlkeyword">input</span>       <span class="vhdlchar">write</span>;</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="vhdlkeyword">endmodule</span></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:17 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
